CentOS 8 安装 postgresql 时出现 为 repo 'pgdg-common' 下载元数据失败 错误如何解决?

原创
2020/06/29 12:45
阅读数 2.2K

CentOS8 使用 dnf 安装 PostgreSQL 过程中出现 为 repo 'pgdg-common' 下载元数据失败 错误,如何解决?

[minmin@localhost ~]$ sudo dnf -qy module disable postgresql
为 repo 'pgdg-common' 下载元数据失败
错误:为 repo 'pgdg-common' 下载元数据失败
[minmin@localhost ~]$ 
#移动宽带可能无法正常安装

解决方法是安装wget。

命令如下

[minmin@localhost ~]$ sudo dnf install wget
PostgreSQL common RPMs for RHEL/CentOS 8 - x86_64                                                                                                           23 kB/s | 371 kB     00:16    
PostgreSQL 12 for RHEL/CentOS 8 - x86_64                                                                                                                    18 kB/s | 366 kB     00:20    
PostgreSQL 11 for RHEL/CentOS 8 - x86_64                                                                                                                    20 kB/s | 418 kB     00:20    
PostgreSQL 10 for RHEL/CentOS 8 - x86_64                                                                                                                    12 kB/s | 305 kB     00:25    
PostgreSQL 9.6 for RHEL/CentOS 8 - x86_64                                                                                                                   21 kB/s | 297 kB     00:14    
PostgreSQL 9.5 for RHEL/CentOS 8 - x86_64                                                                                                                   17 kB/s | 256 kB     00:14    
上次元数据过期检查:0:00:01 前,执行于 2020年06月29日 星期一 12时38分00秒。
软件包 wget-1.19.5-7.el8_0.1.x86_64 已安装。
依赖关系解决。
===========================================================================================================================================================================================
 软件包                                  架构                                      版本                                                 仓库                                          大小
===========================================================================================================================================================================================
升级:
 wget                                    x86_64                                    1.19.5-8.el8_1.1                                     AppStream                                    735 k

事务概要
===========================================================================================================================================================================================
升级  1 软件包

总下载:735 k
确定吗?[y/N]: y
下载软件包:
wget-1.19.5-8.el8_1.1.x86_64.rpm                                                                                                                           687 kB/s | 735 kB     00:01    
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
总计                                                                                                                                                       455 kB/s | 735 kB     00:01     
运行事务检查
事务检查成功。
运行事务测试
事务测试成功。
运行事务
  准备中  :                                                                                                                                                                            1/1 
  升级    : wget-1.19.5-8.el8_1.1.x86_64                                                                                                                                               1/2 
  运行脚本: wget-1.19.5-8.el8_1.1.x86_64                                                                                                                                               1/2 
  运行脚本: wget-1.19.5-7.el8_0.1.x86_64                                                                                                                                               2/2 
  清理    : wget-1.19.5-7.el8_0.1.x86_64                                                                                                                                               2/2 
  运行脚本: wget-1.19.5-7.el8_0.1.x86_64                                                                                                                                               2/2 
  验证    : wget-1.19.5-8.el8_1.1.x86_64                                                                                                                                               1/2 
  验证    : wget-1.19.5-7.el8_0.1.x86_64                                                                                                                                               2/2 

已升级:
  wget-1.19.5-8.el8_1.1.x86_64                                                                                                                                                             

完毕!
[minmin@localhost ~]$ sudo dnf -qy module disable postgresql

 

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部